WarpBuild LogoWarpBuild Docs
Runners

PATCH /runners/default-group

Sets or updates the default runner group for a specific VCS integration. The default runner is used when CI/CD workflows don't specify explicit runner labels.

PATCH
/runners/default-group
Authorization<token>

In: header

Request Body

application/json

Set default group for runner set body

group_id?integer
vcs_integration_id*string

VCSIntegrationID is the connected GitHub org the default group applies to. Required — runner groups are per GitHub org, so the client always specifies which.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://api.warpbuild.com/api/v1/runners/default-group" \  -H "Content-Type: application/json" \  -d '{    "vcs_integration_id": "string"  }'
{
  "group_id": 0,
  "vcs_integration_id": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}
{
  "code": "string",
  "description": "string",
  "message": "string",
  "sub_code": "string",
  "sub_message": "string"
}